All Versions
76
Latest Version
Avg Release Cycle
15 days
Latest Release
375 days ago

Changelog History
Page 1

  • v2.9.0 Changes

    November 26, 2020
    • ๐Ÿฑ PHP 8.0 is now stable PHP 8.0.0 on setup-php for all supported OS. ๐Ÿฅณ
    • โž• Add new JIT configuration section to the README.

    For example, to enable JIT on PHP 8.0.

    - name: Setup PHPuses: shivammathur/[email protected]: php-version: '8.0'ini-values: opcache.enable\_cli=1
    

    ๐Ÿ”ง Refer to JIT Configuration for more details.

    • Skip prestissimo and composer-prefetcher unless composer:v1 is specified.

    For example to setup prestissimo, use

    - name: Setup PHPuses: shivammathur/[email protected]: php-version: '8.0'tools: composer:v1, prestissimo
    
    • Set Xdebug version to 2.9.8 on PHP 7.2. #345
    • Set xdebug.mode=coverage ini directive always #346
    • Sync dependencies from shivammathur/extensions tap in add_brew_extension.
    • ๐Ÿ›  Fix fail-fast on Windows.
    • ๐Ÿ›  Fix deleting extensions when one extension is a substring of the other. For example pdo_sqlsrv and sqlsrv.
    • ๐Ÿ›  Fix fetching extension version from PECL on macOS.
    • ๐Ÿ›  Fix fetching grpc latest tag. (grpc/grpc.io#79)
    • ๐Ÿš€ Prioritize Bintray over GitHub releases for fetching scripts.
    • โ™ป๏ธ Refactor darwin.sh script.
    • ๐Ÿ”„ Change project description in actions.yml.
    • โฌ†๏ธ Bump version to 2.9.0

    ๐Ÿฑ Thanks @owenvoke for the contribution ๐ŸŽ‰


    ๐Ÿ‘Œ Support the project

    setup-php opencollectiveshivammathur patreon

    โšก๏ธ Follow for updates

    setup-php redditsetup-php twittersetup-php status

  • v2.8.0 Changes

    November 20, 2020
    • โž• Add support to setup a specific Composer version.
      For example to setup Composer 2.0.6.

      • name: Setup PHPuses: shivammathur/[email protected]: php-version: '7.4'tools: composer: 2.0.6
    • โž• Add support for couchbase extension for PHP 5.6 to PHP 7.4.

      • name: Setup PHPuses: shivammathur/[email protected]: php-version: '7.4'extensions: couchbase
    • Set blackfire-player to v1.9.3 for PHP 5.5 to PHP 7.0.

    • Set composer version to v1 when prestissimo or composer-prefetcher is specified in tools. It is recommended to stop using prestissimo as Composer 2 is faster on its own.

    • ๐Ÿ“„ Document using setup-php on i386 and amd64 containers using spc. Docs. Closes #326.

    • โž• Add workflow to document extensions that are enabled by default on wiki. (#327)

    • ๐Ÿ›  Fix tools setup when latest release does not have the tool in release assets. Will now fetch tool from the previous release till it is added to the latest release.

    • ๐Ÿ‘Œ Improve regex for pre-release PECL extensions. (#325)

    • ๐Ÿ Install VcRedist from GitHub on Windows.

    • โšก๏ธ Update PHP dependencies as per GitHub Action runner version on macOS.

    • Fix grpc_php_plugin setup. Now uses Xcode 11.7 as compiling it with Xcode 12 is flaky.

    • ๐Ÿ›  Fix extension setup on PHP 8.0 and PHP 8.1 and for all PHP versions on self-hosted Linux.

    • ๐Ÿ›  Fix composer setup when it is a dependency of a tool.

    • ๐Ÿš€ Revert back to apt-fast as after 1.9.10 release it reports correct exit codes.

    • โช Revert back to using dashes in step-ids as issue parsing them is fixed upstream (nektos/act#287).

    • ๐Ÿš€ Use GitHub releases(s3) as primary source for builds and scripts with bintray only as fallback. This will scale setup-php better and avoid bintray's 2TB/month download limit.

    • โ™ป๏ธ Refactor and dry linux.sh and darwin.sh.

    • ๐Ÿ›  Fix contribution docs.

    ๐Ÿฑ Thanks @GrahamCampbell and @mlocati for the contributions ๐ŸŽ‰


    ๐Ÿ‘Œ Support the project

    setup-php opencollectiveshivammathur patreon

    โšก๏ธ Follow for updates

    setup-php redditsetup-php twittersetup-php status

  • v2.7.0 Changes

    October 31, 2020
    • โž• Add support for PHP 8.1.0-dev. Specify php-version: 8.1 to setup. docs. Closes #303

    • โž• Add support for macOS Big Sur macos-11.0. docs

      runs-on: macos-11.0

    • โž• Add support for fail-fast flag. It will mark the workflow as failed if an extension or tool fails to install. Closes #306

      • name: Setup PHPuses: shivammathur/[email protected]: php-version: '7,4'tools: deployerenv: fail-fast: true
    • โž• Add support for igbinary and imagick for PHP 5.6 and newer on macOS using shivammathur/homebrew-extensions.

    • ๐Ÿ›  Fix setup for extensions ast, phalcon4, pdo_oci and oci8 after october update in ppa:ondrej/php.

    • ๐Ÿ›  Fix problem matchers setup when action is called more than once in the same workflow.

    • โšก๏ธ Switch to apt-get till apt-fast is updated to 1.9.10 on the runner.

    • ๐Ÿš€ Fetch PhpManager from release assets.

    • โœ‚ Remove patch for RLIMIT_CORE bug in sudo, fixed upstream.

    • โœ๏ธ Minor fixes for typos in scripts.

    • โšก๏ธ Update README.

    ๐Ÿฑ Thanks @mlocati for the contribution ๐ŸŽ‰

  • v2.6.0 Changes

    October 05, 2020
    • Setup PHP now has discussions feature. So if you need any help with your workflows, want to suggest features or share anything in general related to PHP, please use setup-php discussions.
    • โž• Add support for behat and phpspec. (Docs)

      • name: Setup PHPuses: shivammathur/[email protected]: php-version: '7.4'tools: behat, phpspec
    • โž• Add version of tools in logs. Closes #288

    • โž• Add alias latest for current stable php version. (Docs). Closes #293

    • ๐Ÿ”’ Switch to environment files to edit PATH and other environment variables. Apply GHSA-mfwh-5m23-j46w (CVE-2020-15228)

    • ๐Ÿ›  Prioritize with over env for inputs. Fixes #295

    • ๐Ÿ“„ Document PHPStan and Psalm support for GitHub Actions in README. (Docs). Related #292

    • ๐Ÿšš Move problem matchers setup to scripts.

    • โ™ป๏ธ Refactor install.ts and install.test.ts.

    • Replace codecov badge with one from shields.io.

    • ๐Ÿ”Š Hyperlink support URL in the logs.

    • โšก๏ธ Update Node.js dependencies.

    • โฌ†๏ธ Bump version to 2.6.0.

    ๐Ÿฑ Thanks @szepeviktor for the contributions ๐ŸŽ‰


    ๐Ÿ‘Œ Support the project

    setup-php opencollectiveshivammathur patreon

    โšก๏ธ Follow for updates

    setup-php redditsetup-php twittersetup-php status

  • v2.5.0 Changes

    September 07, 2020
    • โž• Add support for phing. Closes #275

      • name: Setup PHP with phinguses: shivammathur/[email protected]: php-version: '7.4'tools: phing
    • โž• Add support to install intl extension with different ICU versions for PHP 5.6 to PHP 7.4 on Ubuntu.
      ๐Ÿ— ICU 50.2 and newer versions are supported. Refer to ICU builds for the specific versions supported. Closes #282.

      • name: Setup PHP with intl and ICU 67.1uses: shivammathur/[email protected]: php-version: '7.4'extensions: intl-67.1
    • โž• Add printf to PATH if not found in Windows.

    • โž• Add status page badge in README.

    • ๐Ÿ Revert to Powershell PhpManager to install PHP 8 on Windows. (Ref: mlocati/powershell-phpmanager#62).

    • ๐Ÿš€ Switch from tags to releases and use release assets to get Powershell PhpManager.

    • ๐Ÿ›  Fix installing extensions from Dotdeb PPA for PHP 5.4 and PHP 5.5. Ref: #281.

    • ๐Ÿ›  Fix removing extensions for Ubuntu self-hosted runners.

    • Replace fedora references with a valid platform name to validate against process.platform.

    • โ™ป๏ธ Refactor tools.ts and win32.ps1.

    • โฌ†๏ธ Bump Typescript version to 4.0.1.

    ๐Ÿฑ Thanks @mlocati for the contributions ๐ŸŽ‰

  • v2.4.3 Changes

    August 21, 2020
    • ๐Ÿ›  Fix removing extensions on Ubuntu self-hosted runners. Fixes #271
    • ๐Ÿ›  Fix fallback for fetching composer.
    • โœ‚ Remove old PHPUnit on Ubuntu runners.
    • ๐Ÿ›  Switch to fixed getcomposer.org links.
    • โž• Add twitter badge to the README.
  • v2.4.2 Changes

    August 10, 2020
    • โž• Add support for cubrid and pdo_cubrid on Ubuntu. Closes #267
    • โž• Add support for oci8 and pdo_oci extensions in PHP 8 on Windows.
    • ๐Ÿ— Use cached composer builds.
    • ๐Ÿ›  Fix permissions in protoc setup.
    • ๐Ÿ”„ Change cURL parameters.
    • Dry custom tools and extension code.
    • โšก๏ธ Update README.
  • v2.4.1 Changes

    August 08, 2020
    • ๐Ÿ Resume nightly PHP 8 builds on Windows from shivammathur/php-builder-windows. Fixes #261
    • Add support for protoc and grpc_php_plugin tools. Closes #262
    • ๐Ÿ‘Œ Improve PHP installation speed using cached packages.
    • โช Revert to default packagist mirror for old PHP.
    • ๐Ÿ— Use cached composer builds from shivammathur/composer-cache.
    • ๐Ÿ‘‰ Use blackfire API to get versions.
    • 0๏ธโƒฃ Accept PECL default parameters.
    • ๐Ÿ‘Œ Improve cURL use.
    • ๐Ÿ‘ Limit swoole support to PHP 7.4.
    • ๐Ÿ‘ Dry extension and tools code with custom support.
    • ๐Ÿ‘ Fail fast PCOV on unsupported PHP versions.
    • โœ‚ Remove update_extension from linux.sh.
    • โœ‚ Remove obsolete pcov.sh.
    • ๐Ÿ›  Fix warning in cleanup_lists on ubuntu-20.04.
    • ๐Ÿ›  Fix updating lists in phalcon setup on Ubuntu.
    • ๐Ÿ›  Fix coverage message in node workflow.
    • ๐Ÿ”’ Bump supported version in SECURITY.md.
  • v2.3.1 Changes

    June 19, 2020
    • โž• Add support for Xdebug on PHP 8.0 on all OS.
      Now coverage: xdebug would work on PHP 8.0.
      It will setup a nightly version of Xdebug3 on PHP 8.0 and set xdebug.mode=coverage in php.ini.
    • ๐ŸŽ Use shivammathur/homebrew-extensions tap for PCOV and Xdebug on PHP 5.6 and above on macOS.
    • โž• Add support for x86 PCOV and Xdebug for PHP 8.0 on self-hosted windows runners.
    • โœ‚ Remove dashes from step ids.
    • โœ‚ Remove deprecated --no-suggest flag from composer command in examples.
  • v2.3.0 Changes

    June 09, 2020
    • โž• Add support for Ubuntu 20.04 runners. Refer to the docs.
    • โž• Add support to specify composer version in tools input. Refer to the docs.
    • โšก๏ธ Update actions/cache uses to v2.
    • Pre-install PCOV on PHP 8.
    • Switch from xz to zstd compression for packaging PHP.
    • ๐ŸŽ Decouple scripts for PHP 5.5 and lower on Linux and macOS.
    • ๐Ÿง Decouple script for PHP 8.0 on Linux.
    • ๐Ÿ›  Fix intermittent peer fingerprint error on PHP 5.5 and lower.
    • ๐Ÿ›  Fix blackfire setup.
    • ๐Ÿ›  Fix updating powershell profiles on Windows.
    • ๐Ÿ›  Fix fetching CA bundle in Windows self-hosted runners.
    • ๐Ÿ›  Fix setrlimit warning with sudo in Ubuntu 20.04 self-hosted runners.
    • ๐Ÿ›  Fix PhpManager setup on windows for self-hosted runners.
    • ๐Ÿ›  Fix tools setup on windows for self-hosted runners.
    • ๐Ÿ›  Fix updating lists on Ubuntu 16.04 after adding ppa:ondrej/php on self-hosted runners.
    • ๐Ÿ›  Fix logs for unsupported PHP versions on self-hosted runners.
    • ๐Ÿ‘Œ Improve documentation and templates.
    • โ™ป๏ธ Refactor internal testing workflows.
    • โช Revert to ES2019 as Node 12.x is the default version.
    • ๐Ÿ‘• Cleanup ESlint config.
    • โšก๏ธ Update Node dependencies.